Package org.jcsp.net

# Class DuplicateChannelLabelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.DuplicateChannelLabelException

All Implemented Interfaces:
  `Serializable`

public class DuplicateChannelLabelException extends RuntimeException
This Exception is thrown if there is an attempt to label a channel's VCN with a label that already exists at the same Node.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`